package com.mkyong.user;

import java.util.Arrays;
import java.util.List;
import org.apache.wicket.PageParameters;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.ListChoice;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.model.PropertyModel;

public class ListChoicePage extends WebPage {

	// single list choice
	private static final List<String> FRUITS = Arrays.asList(new String[] {
			"Apple", "Orang", "Banana" });

	// Banana is selected by default
	private String selectedFruit = "Banana";

	public ListChoicePage(final PageParameters parameters) {

		add(new FeedbackPanel("feedback"));

		ListChoice<String> listFruits = new ListChoice<String>("fruit",
				new PropertyModel<String>(this, "selectedFruit"), FRUITS);

		listFruits.setMaxRows(5);

		Form<?> form = new Form<Void>("form") {
			@Override
			protected void onSubmit() {

				info("Selected Fruit : " + selectedFruit);

			}
		};

		add(form);
		form.add(listFruits);

	}
}
